%bcond_with doc

Summary:        PEP 621 metadata parsing
Name:           python-pyproject-metadata
Version:        0.7.1
Release:        1%{?dist}

License:        MIT
URL:            https://github.com/FFY00/python-pyproject-metadata
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

Patch3000:         %{name}-test.patch

BuildArch:      noarch

BuildRequires: python3-devel %{py3_dist docutils}

%description
Dataclass for PEP 621 metadata with support for core metadata generation.

This project does not implement the parsing of pyproject.toml containing
PEP 621 metadata.  Instead, given a Python data structure representing
PEP 621 metadata (already parsed), it will validate this input and
generate a PEP 643-compliant metadata file (e.g. PKG-INFO).

%package     -n python3-pyproject-metadata
Summary:        PEP 621 metadata parsing
Provides:       python3-pep621 = %{version}-%{release}

%description -n python3-pyproject-metadata
Dataclass for PEP 621 metadata with support for core metadata generation.

This project does not implement the parsing of pyproject.toml containing
PEP 621 metadata.  Instead, given a Python data structure representing
PEP 621 metadata (already parsed), it will validate this input and
generate a PEP 643-compliant metadata file (e.g. PKG-INFO).

%if %{with doc}
%package        doc
Summary:        Documentation for python3-pyproject-metadata
Provides:       python3-pep621-doc = %{version}-%{release}

%description    doc
Documentation for python3-pyproject-metadata.
%endif

%prep
%autosetup -p1
sed -i /pytest-cov/d setup.cfg

%generate_buildrequires
%if %{with doc}
%pyproject_buildrequires -x test,docs
%else
%pyproject_buildrequires -x test
%endif

%build
%pyproject_wheel
rst2html --no-datestamp CHANGELOG.rst CHANGELOG.html

%if %{with doc}
PYTHONPATH=$PWD/build/lib
mkdir html
sphinx-build -b html docs html
rm -rf html/{.buildinfo,.doctrees}
%endif

%install
%pyproject_install
%pyproject_save_files pyproject_metadata

%check
%pytest

%files -n python3-pyproject-metadata -f %{pyproject_files}
%doc CHANGELOG.html README.md
%license LICENSE

%if %{with doc}
%files doc
%doc html
%endif

%changelog
* Mon Oct 09 2023 cunshunxia <cunshunxia@tencent.com> - 0.7.1-1
- initial build
